BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | Public Attributes | List of all members
CluE::ProxySolution< T > Struct Template Reference

Data structure for proxies. More...

`#include <proxysolution.h>`

Inheritance diagram for CluE::ProxySolution< T >:
Collaboration diagram for CluE::ProxySolution< T >:

## Public Member Functions
| ProxySolution ()
virtual | ~ProxySolution ()
virtual double | computationtime () const
| returns the time needed for the last computation More...
virtual unsigned int | number_of_solutions () const
| returns the number of available solutions More...
virtual unsigned int | size_of_solution (unsigned int) const
| returns the size of a particular solution More...
virtual T | proxy (unsigned int n, unsigned int c) const
| returns the proxy for the specified clustering and cluster More...
virtual std::vector< T > | proxies (unsigned int n) const
| returns the proxies for the specified clustering More...
Public Member Functions inherited from CluE::SolutionProvider
virtual | ~SolutionProvider ()
Public Member Functions inherited from CluE::ProxyProvider< T >
virtual | ~ProxyProvider ()

## Public Attributes
double | seconds
std::vector< std::vector< T > > | proxysets

## Additional Inherited Members
Static Public Member Functions inherited from CluE::ProxyProvider< T >
static ProxyProvider< T > * | toProxyProvider (SolutionProvider *s)
| does a dynamic cast of the given SolutionProvider to a ProxyProvider More...

## Detailed Description

### template<typename T>
struct CluE::ProxySolution< T >

Data structure for proxies.

This struct is for use in algorithms computing proxies.

Definition at line 19 of file proxysolution.h.

## Constructor & Destructor Documentation

template<typename T >

CluE::ProxySolution< T >::ProxySolution | ( |  | ) |

Definition at line 40 of file proxysolution.h.

template<typename T>

virtual CluE::ProxySolution< T >::~ProxySolution | ( |  | ) |
| inline virtual

Definition at line 25 of file proxysolution.h.

## Member Function Documentation

template<typename T >

double CluE::ProxySolution< T >::computationtime | ( |  | ) | const
| virtual

returns the time needed for the last computation

Returns
  time in seconds needed for last call to compute()

Implements CluE::SolutionProvider.

Definition at line 44 of file proxysolution.h.

template<typename T >

unsigned int CluE::ProxySolution< T >::number_of_solutions | ( |  | ) | const
| virtual

returns the number of available solutions

The algorthm may compute more than one solution of possibly different size, where size means number of computed clusters, proxies (e.g. cluster centers) or the size of a coreset. The sizes can be retrieved by a call to size_of_solution().

Implements CluE::ProxyProvider< T >.

Definition at line 49 of file proxysolution.h.

template<typename T >

unsigned int CluE::ProxySolution< T >::size_of_solution | ( | unsigned | index | ) | const
| virtual

returns the size of a particular solution

Parameters

  index | number between 0 and number_of_solutions()-1

Returns
  the size for the requested clustering

Implements CluE::ProxyProvider< T >.

Definition at line 54 of file proxysolution.h.

template<typename T >

T CluE::ProxySolution< T >::proxy | ( | unsigned int | solutionIndex,
|  | unsigned int | proxyIndex
| ) |  | const
| virtual

returns the proxy for the specified clustering and cluster

Returns the computed proxy for cluster number proxyIndex in clustering number solutionIndex.

Implements CluE::ProxyProvider< T >.

Definition at line 61 of file proxysolution.h.

template<typename T >

std::vector< T > CluE::ProxySolution< T >::proxies | ( | unsigned int | solutionIndex | ) | const
| virtual

returns the proxies for the specified clustering

Returns the computed proxies for clustering number solutionIndex.

Implements CluE::ProxyProvider< T >.

Definition at line 71 of file proxysolution.h.

## Member Data Documentation

template<typename T>

double CluE::ProxySolution< T >::seconds

Definition at line 36 of file proxysolution.h.

template<typename T>

std::vector<std::vector<T> > CluE::ProxySolution< T >::proxysets

Definition at line 37 of file proxysolution.h.

The documentation for this struct was generated from the following file:

- src/datastructure/proxysolution.h